<?php
/*
Plugin Name: Post Views Summary
Plugin URI: http://www.hilbring.de/2009/09/04/wp-postviews-dashboard/
Description: A dashboard plugin that shows the 10 most and least visited posts and pages.
Author: Peter Hilbring
Version: 1.0
Author URI: http://www.hilbring.de/
License: GPL v3 - http://www.gnu.org/licenses/gpl.html

Requires WordPress 2.8 or later.

Recent changes:
1.0 - Initial release

*/

/**
 * Creates a summary widget for wp-postviews
 *
 * @author Peter Hilbring <peter@hilbring.de>
 **/
class WPPostViwsSummary
{
	/**
	 * Start the process of including the widget
	 **/
	function WPPostViwsSummary()
	{
		add_action('wp_dashboard_setup', array($this, 'addDashboardWidget'));
	}

	/**
	 * Add the widget to the dashboard
	 **/
	function addDashboardWidget()
	{
		wp_add_dashboard_widget('wp-postviews-summary', __('Post Views Summary', 'wp-postviews-summary'), array($this, 'widget'));
	}

	/**
	 * The widget display
	 **/
	function widget()
	{
		$most = $least = true;
?>
		<?php if (function_exists('get_most_viewed')) : _e('<b>10 most viewed posts/pages</b>', 'wp-postviews-summary'); ?>
			<div style="background: #F0F0F0">
				<ul>
					<?php get_most_viewed('both', 10); ?>
				</ul>
			</div>
			<br />
		<?php
			else :
				$most = false;
			endif;
		?>
		<?php if (function_exists('get_least_viewed')) : _e('<b>10 least viewed posts/pages</b>', 'wp-postviews-summary'); ?>
			<div style="background: #F0F0F0">
				<ul>
					<?php get_least_viewed('both', 10); ?>
				</ul>
			</div>
		<?php
			else :
				$least = false;
			endif;
			if (($most == false) || ($least == false)) :
				_e('<b>Install WP-PostViews plugin</b>', 'wp-postviews-summary');
			endif;
	}
} // END class

# Load the localization information
$plugin_dir = basename(dirname(__FILE__));
load_plugin_textdomain('wp-postviews-summary', 'wp-content/plugins/' . $plugin_dir . '/lang', $plugin_dir . '/lang');

# Check if we have a version of WordPress greater than 2.8
if ( function_exists('register_widget') ) :
	$google_analytics_summary = new WPPostViwsSummary();
endif;

?>